// CHoopsCtrlMod.h defines the interface for base HOOPS Control Module

#ifndef _HOOPS_CTRL_MOD
#define _HOOPS_CTRL_MOD

#if !defined( __AFXCTL_H__ )
	#error include 'afxctl.h' before including this file
#endif

#include "resource.h"       // main symbols

class HDB;

/////////////////////////////////////////////////////////////////////////////
// CHoopsCtrlMod.h : See CHoopsCtrlMod.cpp for implementation.

class CHoopsControlModule : public COleControlModule
{

protected:
	HDB*	m_pHoopsDB;		// ptr to the HoopsDB object

public:

	HDB*	GetHoopsDB();
	void	SetHoopsDB(HDB* db);

	virtual BOOL InitInstance();
	virtual int ExitInstance();
};


#endif